import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class JKomboBoxTest extends JFrame {
   private JComboBox<String> cBox ;
   private Listener lis = new Listener();
   private Container cp = getContentPane() ;

   public JKomboBoxTest() {
      super("ComboBox-Test");
      setSize(300, 200);
      setLocation(150, 150);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      cp.setLayout(new FlowLayout());

      cBox = new JComboBox<String>();
      cBox.addItem("rot");
      cBox.addItem("grn");
      cBox.addItem("blau");
      cBox.addActionListener(lis);
      cBox.addItemListener(lis);
      cBox.setSelectedItem("blau");
      cp.add(cBox);
      
      setVisible(true);
   }

   public class Listener implements ActionListener, ItemListener {
      public void actionPerformed(ActionEvent e) {
         Object obj = e.getSource();
         String farbe = (String) ((JComboBox) obj).getSelectedItem();

         System.out.println("Item ausgewhlt!");
         
         if (farbe.equals("rot"))  cp.setBackground(Color.red);
         if (farbe.equals("grn")) cp.setBackground(Color.green);
         if (farbe.equals("blau")) cp.setBackground(Color.blue);
      }
      
      public void itemStateChanged(ItemEvent e) {
         Object obj = e.getSource();
         String farbe = (String) ((JComboBox) obj).getSelectedItem();

//         System.out.println("Item ausgewhlt!");
//
//         if (farbe.equals("rot"))  cp.setBackground(Color.red);
//         if (farbe.equals("grn")) cp.setBackground(Color.green);
//         if (farbe.equals("blau")) cp.setBackground(Color.blue);
      }
   }

   public static void main(String[] args) {
      JKomboBoxTest tester = new JKomboBoxTest();
   }
}
